> For the complete documentation index, see [llms.txt](https://docs.uct.ucserver.it/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uct.ucserver.it/custom-teams/configuration/win-condition.md).

# Win Condition

The Win Condition is a crucial component of UCT, enabling you to define the specific win criteria and faction alignment for a Custom Team. Additionally, it allows you to specify which base game Team serves as an ally.

## Win Condition

The **Win Condition** object should look like this:

```yml
   win_condition:
    prevent_round_end_if_alive: true
    allied_teams: []
    winning_team: Draw
```

## Prevent Round End If Alive

**Configuration element name:** `prevent_round_end_if_alive` \
**Type:**  `bool`

If true, the round will not end while this team is alive, effectively blocking standard round-end conditions.\
**NOTE:** This does **NOT** prevent the round from ending if this team wins by eliminating all enemies. If they win, the round ends immediately.

## Allied Teams

**Configuration element name:** `allied_teams` \
**Type: `List<Team>`**

A list of vanilla teams that are considered allies.\
The Custom Team does **NOT** need to eliminate players from these teams to trigger the win condition.

## Winning Team

**Configuration element name:** `winning_team` \
**Type: `LeadingTeam`**

The specific faction to declare as the winner when the win condition is met.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uct.ucserver.it/custom-teams/configuration/win-condition.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
